### A free/open-source library for quantitative finance

Public Member Functions
BicubicSpline Class Reference

bicubic-spline interpolation between discrete points More...

`#include <ql/math/interpolations/bicubicsplineinterpolation.hpp>`

Inheritance diagram for BicubicSpline:
[legend]

List of all members.

## Public Member Functions

template<class I1 , class I2 , class M >
| BicubicSpline (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, const I2 &yEnd, const M &zData)
Real | derivativeX (Real x, Real y) const
Real | derivativeY (Real x, Real y) const
Real | secondDerivativeX (Real x, Real y) const
Real | secondDerivativeY (Real x, Real y) const
Real | derivativeXY (Real x, Real y) const

## Detailed Description

bicubic-spline interpolation between discrete points

Possible enhancements:
  revise end conditions

## Constructor & Destructor Documentation

BicubicSpline | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin,
|  | const I2 & | yEnd,
|  | const M & | zData
| ) |  |

Precondition:
  the and values must be sorted.